Changes between Version 10 and Version 11 of DevEnvironment


Ignore:
Timestamp:
10/07/11 22:13:56 (3 years ago)
Author:
matija
Comment:

Added Qt and GL dependencies.

Legend:

Unmodified
Added
Removed
Modified
  • DevEnvironment

    v10 v11  
    1313You need to install the following packages: 
    1414* `eclipse` will be your IDE, and one of its plugins we will install needs `libsvn-java` to work, 
    15 * `make`, `g++`, `python-dev`, `python-numpy`, `python-matplotlib` and `python-imaging` are needed to build and use the Orange scripting environment, and 
     15* `make`, `g++`, `python-dev`, `python-numpy`, `python-matplotlib`, `python-imaging` and `python-rpy2` are needed to build and use the Orange scripting environment, and 
    1616* `python-qwt5-qt4` is needed in order for the Orange Canvas (GUI) to work, 
     17* `python-qt4-dev` and `python-qt4-gl` are needed in order to build and use the new Qt and 3D visualization widgets, 
    1718* `python-sphinx`, `texlive-latex-base`, `texlive-latex-recommended`, `texlive-latex-extra` and `dvipng` are needed to build the HTML documentation, 
    1819* `python-setuptools` provides `easy_install`, which we need for `numpydoc`. 
     
    2223This is the command to install all those packages in one shot: 
    2324{{{ 
    24 sudo apt-get install eclipse libsvn-java make g++ python-dev python-numpy python-matplotlib python-imaging python-qwt5-qt4 python-sphinx texlive-latex-base texlive-latex-recommended texlive-latex-extra dvipng python-setuptools 
     25sudo apt-get install eclipse libsvn-java make g++ python-dev python-numpy python-matplotlib python-imaging python-rpy2 python-qwt5-qt4 python-qt4-dev python-qt4-gl python-sphinx texlive-latex-base texlive-latex-recommended texlive-latex-extra dvipng python-setuptools 
    2526}}} 
    2627